import { RouterView } from 'vue-router';

export default {
    path: '/account',
    name: 'Account',
    meta: {
        title: 'users',
        icon: 'face',
        moduleName: 'Account',
    },
    component: RouterView,
    redirect: { name: 'AccountMain' },
    menus: {
        main: ['AccountList', 'AccountAliasList'],
        card: [],
    },
    children: [
        {
            path: '',
            name: 'AccountMain',
            component: () => import('src/pages/Account/AccountMain.vue'),
            redirect: { name: 'AccountList' },
            children: [
                {
                    path: 'list',
                    name: 'AccountList',
                    meta: {
                        title: 'list',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Account/AccountList.vue'),
                },
                {
                    path: 'alias-list',
                    name: 'AccountAliasList',
                    meta: {
                        title: 'alias',
                        icon: 'email',
                    },
                    component: () => import('src/pages/Account/AccountAliasList.vue'),
                },
            ],
        },
        {
            name: 'AccountCard',
            path: ':id',
            component: () => import('src/pages/Account/Card/AccountCard.vue'),
            redirect: { name: 'AccountSummary' },
            children: [
                {
                    name: 'AccountSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                        icon: 'launch',
                    },
                    component: () => import('src/pages/Account/Card/AccountSummary.vue'),
                },
            ],
        },
    ],
};
